;*****************************************************************************
;*                                                                           *
;* RGB frame                                                                 *
;* Copyright (C) 2020 by Walter Lain <kcswalter@member.fsf.org>              *
;*                                                                           *
;* This program is free software; you can redistribute it and/or modify      *
;* it under the terms of the GNU General Public License as published by      *
;* the Free Software Foundation; either version 3 of the License, or         *
;* (at your option) any later version.                                       *
;*                                                                           *
;* This program is distributed in the hope that it will be useful,           *
;* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
;* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
;* GNU General Public License for more details.                              *
;*                                                                           *
;* You should have received a copy of the GNU General Public License         *
;* along with this program; if not, write to the Free Software               *
;* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
;*                                                                           *
;*****************************************************************************

; ________________________________________________
; |         Include for RGB frame SAF            |
; |______________________________________________|
; |   Include File                               |
; |______________________________________________|
; |   Type      : INC                            |
; |   Version   : 1                              |
; |   Release   : 0                              |
; |   Author    : Lain Walter                    |
; |   Date      : 10/01/21                       |
; |______________________________________________|

;_______________________________________________________Constants
c_SAFADDR_L	EQU	0x80		;LSB of SAF area start address
c_SAFADDR_H	EQU	0x1F		;MSB of SAF area start address
					; 07 -> PIC16F153x3
					; 0F -> PIC16F153x4
					; 1F -> PIC16F153x5
c_SAFADDR_E	EQU	0x91		;SAF write boundary (I'm using only 16 cells, stops after that much)
c_SAF_SIZE	EQU	0x0F		;SAF read size (sequential reads of 15 cells, + first as control)

;_______________________________________________________Variables
	BYTE b_E2_FLAGS			;EEPROM management flags
;_______________________________________________________Flags
#define f_E2_WRITE	b_E2_FLAGS,0	;EEPROM Write start flag
